Sun Java System Application Server 9.1 Update 1-9.1 Update 2 Release Notes

Switching to Another Supported Java Version

Sun Java System Application Server 9.1 requires J2SE 5.0 or greater as the underlying JVM. If you want to switch from one Java version to another, perform the following general steps. (Windows and Unix)

Note –

Downgrading to an earlier Java version is not recommended after a domain has been created with a newer Java VM. If you must downgrade your JVM, it is recommended that you do it on a per-domain basis. The following procedure describes how to do this.

ProcedureTo Switch to Another Supported Java Version

  1. Download the desired Java SDK (not the JRE) and install it on your system, if you have not already done so.

    The Java SDK can be downloaded from

  2. Start the domain for which you want to change the JDK:

    as-install/bin/asadmin start-domain domain-name
  3. Log in to the Admin console and change the JVM attributes for the domain.

    In particular, you may want to change the JAVA_HOME variable on the JVM Settings page for the domain.

    Alternatively, you can use the asadmin command:

    as-install/bin/asadmin set ""